<?php
/**
 * ProductGroupTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * ProductGroupTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип продуктовой группы:   * &#x60;promo&#x60; - Группы промо   * &#x60;sets&#x60; - Группы наборов   * &#x60;brands&#x60; - Группы брендов
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductGroupTypeEnum
{
    /**
     * Possible values of this enum
     */
    const CODE_PROMO = 'promo';
    const CODE_SETS = 'sets';
    const CODE_BRANDS = 'brands';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CODE_PROMO,
            self::CODE_SETS,
            self::CODE_BRANDS,
        ];
    }
}


